Package com.dropbox.core.v2.sharing
Class UpdateFilePolicyBuilder
java.lang.Object
com.dropbox.core.v2.sharing.UpdateFilePolicyBuilder
The request builder returned by
DbxUserSharingRequests.updateFilePolicyBuilder(java.lang.String).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withActions(List<FileAction> actions) Set value for optional field.withLinkSettings(LinkSettings linkSettings) Deprecated.withViewerInfoPolicy(ViewerInfoPolicy viewerInfoPolicy) Set value for optional field.
-
Method Details
-
withActions
Set value for optional field.- Parameters:
actions- A list of `FileAction`s corresponding to `FilePermission`s that should appear in the response'sSharedFileMetadata.getPermissions()field describing the actions the authenticated user can perform on the file. Must not contain anullitem.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withLinkSettings
Deprecated.Set value for optional field.- Parameters:
linkSettings- Field is deprecated. Settings on the link for the file.- Returns:
- this builder
-
withViewerInfoPolicy
Set value for optional field.- Parameters:
viewerInfoPolicy- The presence and seen state policy on the file.- Returns:
- this builder
-
start
Issues the request.
-